Bug 462381 - Review Request: beediff - Visual tool for comparing and merging files
Review Request: beediff - Visual tool for comparing and merging files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 15:16 EDT by Terje Røsten
Modified: 2008-10-24 11:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 11:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-09-15 15:16:20 EDT
spec: http://terjeros.fedorapeople.org/beediff/beediff.spec
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=826598&name=beediff-1.9-1.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=826597

Description:

This package provides a visual application (beediff) for comparing and
merging files. User have a possibility to work with two text
files. Every one is in separate panel. Panels are side by side. All
differences of both textes are highlighted in colors. Operation
buttons (merge, remove) are located direct inside compared textes in
appropriate positions. Program is user friendly, very simply and
efficient.
Comment 1 manuel wolfshant 2008-09-21 20:33:48 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type (tag in the spec) :GPLv2
     License type (according to source files) :GPLv2+
see issue 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 6552bd0f9bf6c22ed1400c92cace8e2207cb0c74 beediff_1.9_src.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI application.
see issue 2
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
see issue 3
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:koji scratch build
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Issues ===
1. Some of the source files (BtStringTool.*, BtToken.h) have no license embedded but those that do specify GPLv2+ as license. Please fix the tag in the spec file and ask the upstream author to add a proper header to all source files.
2. According to https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files:  "If upstream uses <vendor_id>, leave it intact, otherwise use fedora as <vendor_id>." Therefore you need to add "fedora" as vendor_id (unless the guidelines have changed and this has not been reflected in the wiki)
As a side note, I consider a bad habit to use here files in the spec, I prefer to have them listed as SourceN (makes verification and maintenance easier). I will not insist on that however, as guidelines do not say anything about this aspect.
3. The make step does not use the SMP flags. Please either add a comment why this is not wanted or fix the spec to use them.
Comment 2 Terje Røsten 2008-09-22 15:40:26 EDT
New package:

spec: http://terjeros.fedorapeople.org/beediff/beediff.spec
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=837140&name=beediff-1.9-2.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=837139

- fix license
- move desktop file
- add smp flags

TODO: send mail upstream, find the fedora as vendor is obsolete mail.
Comment 3 manuel wolfshant 2008-09-23 06:03:20 EDT
Everything seems fine, except for setting a vendor_id in the desktop-install. Please fix that too and I'll approve the package.
Comment 4 Terje Røsten 2008-10-02 16:20:46 EDT
(In reply to comment #3)
> Everything seems fine, except for setting a vendor_id in the desktop-install.
> Please fix that too and I'll approve the package.

Found it, it's in a irc log:

 http://fedoraproject.org/wiki/Packaging/Minutes20080603#t12:15
   rdieter: abadger1999: ah, I had almost forgotten about that. 
            iirc, mclassen kinda wanted the the .desktop 
            file --vendor recommendations changed to *not* 
            recommend using --vendor=fedora 

Who can change the Wiki Package Guidelines?
Comment 5 manuel wolfshant 2008-10-03 05:13:55 EDT
For the moment the rule I see is "If upstream uses <vendor_id>, leave it intact, otherwise use fedora as <vendor_id>." As soon as it is changed I promise to approve the package. I suggest pinging the packaging committee.
Comment 6 manuel wolfshant 2008-10-20 16:37:42 EDT
Well, no one seems to react so let's not stall this anymore. Package APPROVED.
Comment 7 Terje Røsten 2008-10-20 16:57:56 EDT
Thanks!

I have sent a mail to spot, he is going to suggest the change
for the committee.
Comment 8 Terje Røsten 2008-10-20 17:01:21 EDT
New Package CVS Request
=======================
Package Name: beediff
Short Description: Visual tool for comparing and merging files
Owners: terjeros
Branches: F-9
InitialCC:
Comment 9 Kevin Fenzi 2008-10-23 16:30:09 EDT
cvs done.
Comment 10 Terje Røsten 2008-10-24 11:09:26 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.